Index: kdelibs/kdoctools/docbook/xsl/html/chunk-common.xsl
===================================================================
--- kdelibs/kdoctools/docbook/xsl/html/chunk-common.xsl	(revision 1140347)
+++ kdelibs/kdoctools/docbook/xsl/html/chunk-common.xsl	(working copy)
@@ -983,7 +983,6 @@
     </xsl:call-template>
 
     <body>
-      <div id="content">
       <xsl:call-template name="body.attributes"/>
       <xsl:call-template name="user.header.navigation"/>
 
@@ -995,9 +994,7 @@
 
       <xsl:call-template name="user.header.content"/>
 
-      <div id="contentBody">
-        <xsl:copy-of select="$content"/>
-      </div>
+      <xsl:copy-of select="$content"/>
 
       <xsl:call-template name="user.footer.content"/>
 
@@ -1008,7 +1005,6 @@
       </xsl:call-template>
 
       <xsl:call-template name="user.footer.navigation"/>
-      </div>
     </body>
   </html>
 </xsl:template>
Index: kdelibs/kdoctools/docbook/xsl/common/l10n.xsl
===================================================================
--- kdelibs/kdoctools/docbook/xsl/common/l10n.xsl	(revision 1140347)
+++ kdelibs/kdoctools/docbook/xsl/common/l10n.xsl	(working copy)
@@ -292,25 +292,7 @@
   </xsl:call-template>
 </xsl:template>
 
-<xsl:template name="gentext.footer-doc-comment">
-  <xsl:call-template name="gentext">
-    <xsl:with-param name="key" select="'footer-doc-comment'"/>
-  </xsl:call-template>
-</xsl:template>
 
-<xsl:template name="gentext.footer-doc-feedback">
-  <xsl:call-template name="gentext">
-    <xsl:with-param name="key" select="'footer-doc-feedback'"/>
-  </xsl:call-template>
-</xsl:template>
-
-<xsl:template name="gentext.footer-doc-teamname">
-  <xsl:call-template name="gentext">
-    <xsl:with-param name="key" select="'footer-doc-teamname'"/>
-  </xsl:call-template>
-</xsl:template>
-
-
 <!-- ============================================================ -->
 
 <xsl:template name="gentext.template">
Index: kdelibs/kdoctools/customization/kde-include-common.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-include-common.xsl	(revision 0)
+++ kdelibs/kdoctools/customization/kde-include-common.xsl	(revision 0)
@@ -0,0 +1,7 @@
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		version="1.0">
+
+   <xsl:import href="../docbook/xsl/html/autoidx.xsl"/>
+   <xsl:import href="../docbook/xsl/html/chunk.xsl"/>
+
+</xsl:stylesheet>
Index: kdelibs/kdoctools/customization/kde-chunk-online.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-chunk-online.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-chunk-online.xsl	(working copy)
@@ -1,8 +1,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 		version="1.0">
 
-<xsl:import href="../docbook/xsl/html/autoidx.xsl"/>
-<xsl:import href="../docbook/xsl/html/chunk.xsl"/>
+<xsl:import href="kde-chunk-common.xsl"/>
 <xsl:include href="kde-navig-online.xsl"/>
 <xsl:include href="kde-ttlpg-online.xsl"/>
 <xsl:include href="kde-style.xsl"/>
@@ -46,27 +45,6 @@
 <xsl:param name="admon.graphics.path"><xsl:value-of select="kde.common"/></xsl:param>
 <xsl:param name="callout.graphics.path"><xsl:value-of select="kde.common"/></xsl:param>
 
-
-<xsl:template name="dbhtml-filename">
-<xsl:choose>
-     <xsl:when test=". != /*">
-      <xsl:value-of select="@id"/>
-      <xsl:value-of select="$html.ext"/>
-     </xsl:when>
-     <xsl:otherwise>
-	<xsl:text>index.html</xsl:text>
-      </xsl:otherwise>
-</xsl:choose>
-</xsl:template>
-
-<xsl:template name="dbhtml-dir">
-</xsl:template>
-
-<xsl:template name="user.head.content">
-   <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/> 
-   <meta name="GENERATOR" content="KDE XSL Stylesheet V{$KDE_VERSION} using libxslt"/>
-</xsl:template>
-
 <!-- try with olinks: it nearly works --><!--
   <xsl:template match="olink">
     <a>
Index: kdelibs/kdoctools/customization/kde-chunk-common.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-chunk-common.xsl	(revision 0)
+++ kdelibs/kdoctools/customization/kde-chunk-common.xsl	(revision 0)
@@ -0,0 +1,42 @@
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+        version="1.0">
+
+<xsl:import href="kde-include-common.xsl"/>
+
+<xsl:template name="dbhtml-filename">
+<xsl:choose>
+     <xsl:when test=". != /*">
+      <xsl:value-of select="@id"/>
+      <xsl:value-of select="$html.ext"/>
+     </xsl:when>
+     <xsl:otherwise>
+    <xsl:text>index.html</xsl:text>
+      </xsl:otherwise>
+</xsl:choose>
+</xsl:template>
+
+<xsl:template name="dbhtml-dir">
+</xsl:template>
+
+<xsl:template name="user.head.content">
+   <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
+   <meta name="GENERATOR" content="KDE XSL Stylesheet V{$KDE_VERSION} using libxslt"/>
+</xsl:template>
+
+<xsl:template name="user.header.navigation">
+  <!-- xsl:attribute name="id">content</xsl:attribute -->
+  <xsl:text disable-output-escaping="yes">&lt;div id="content"&gt;</xsl:text>
+</xsl:template>
+
+<xsl:template name="user.header.content">
+  <xsl:text disable-output-escaping="yes">&lt;div id="contentBody"&gt;</xsl:text>
+</xsl:template>
+<xsl:template name="user.footer.content">
+  <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
+</xsl:template>
+
+<xsl:template name="user.footer.navigation">
+  <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
+</xsl:template>
+
+</xsl:stylesheet>
Index: kdelibs/kdoctools/customization/kde-man.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-man.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-man.xsl	(working copy)
@@ -1,11 +1,12 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 <!-- vim:set syntax=xml ts=2 et: -->
-<xsl:import href="../docbook/xsl/manpages/docbook.xsl"/>
+<xsl:import href="kde-include-man.xsl"/>
 
 <!-- Disable the automatically generated AUTHORS section by overloading the
   respective template and making it a no-op. -->
 <xsl:template match="articleinfo|bookinfo|refentryinfo" mode="authorsect"/>
-
+<xsl:param name="chunker.output.encoding" select="'UTF-8'"/>
+<xsl:output method="text" encoding="UTF-8" indent="no"/>
 <!--
   Copied from ../docbook/xsl/manpages/docbook.xsl and changed it so that the
   output file's name is harccoded to 'manpage.troff', and the quiet parameter
Index: kdelibs/kdoctools/customization/kde-web.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-web.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-web.xsl	(working copy)
@@ -1,8 +1,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 		version="1.0">
 
-<xsl:import href="../docbook/xsl/html/autoidx.xsl"/>
-<xsl:import href="../docbook/xsl/html/chunk.xsl"/>
+<xsl:import href="kde-include-common.xsl"/>
 <xsl:include href="kde-web-navig.xsl"/>
 <xsl:include href="kde-ttlpg.xsl"/>
 <xsl:include href="kde-style.xsl"/>
Index: kdelibs/kdoctools/customization/kde-include-man.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-include-man.xsl	(revision 0)
+++ kdelibs/kdoctools/customization/kde-include-man.xsl	(revision 0)
@@ -0,0 +1,6 @@
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+		version="1.0">
+
+   <xsl:import href="../docbook/xsl/manpages/docbook.xsl"/>
+
+</xsl:stylesheet>
Index: kdelibs/kdoctools/customization/kde-navig.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-navig.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-navig.xsl	(working copy)
@@ -181,5 +181,24 @@
   </xsl:if>
 </xsl:template>
 
+<xsl:template name="gentext.footer-doc-comment"> 
+  <xsl:call-template name="gentext"> 
+    <xsl:with-param name="key" select="'footer-doc-comment'"/> 
+  </xsl:call-template> 
+</xsl:template> 
+ 
+<xsl:template name="gentext.footer-doc-feedback"> 
+  <xsl:call-template name="gentext"> 
+    <xsl:with-param name="key" select="'footer-doc-feedback'"/> 
+  </xsl:call-template> 
+</xsl:template> 
+ 
+<xsl:template name="gentext.footer-doc-teamname"> 
+  <xsl:call-template name="gentext"> 
+    <xsl:with-param name="key" select="'footer-doc-teamname'"/> 
+  </xsl:call-template> 
+</xsl:template> 
+
+
 </xsl:stylesheet>
 <!-- vim: set sw=2: -->
Index: kdelibs/kdoctools/customization/kde-nochunk.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-nochunk.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-nochunk.xsl	(working copy)
@@ -1,8 +1,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 		version="1.0">
 
-<xsl:import href="../docbook/xsl/html/autoidx.xsl"/>
-<xsl:import href="../docbook/xsl/html/docbook.xsl"/>
+<xsl:import href="kde-chunk-common.xsl"/>
 <!-- <xsl:include href="kde-print-navig.xsl"/> -->
 <xsl:include href="kde-ttlpg.xsl"/>
 <xsl:include href="kde-style.xsl"/>
@@ -25,26 +24,6 @@
 <xsl:param name="callout.graphics.path"><xsl:value-of select="kde.common"/></xsl:param>
 
 
-<xsl:template name="dbhtml-filename">
-<xsl:choose>
-     <xsl:when test=". != /*">
-      <xsl:value-of select="@id"/>
-      <xsl:value-of select="$html.ext"/>
-     </xsl:when>
-     <xsl:otherwise>
-	<xsl:text>index.html</xsl:text>
-      </xsl:otherwise>
-</xsl:choose>
-</xsl:template>
-
-<xsl:template name="dbhtml-dir">
-</xsl:template>
-
-<xsl:template name="user.head.content">
-   <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/> 
-   <meta name="GENERATOR" content="KDE XSL Stylesheet V{$KDE_VERSION} using libxslt"/>
-</xsl:template>
-
 <!-- try with olinks: it nearly works --><!--
   <xsl:template match="olink">
     <a>
Index: kdelibs/kdoctools/customization/kde-chunk.xsl
===================================================================
--- kdelibs/kdoctools/customization/kde-chunk.xsl	(revision 1140347)
+++ kdelibs/kdoctools/customization/kde-chunk.xsl	(working copy)
@@ -1,8 +1,7 @@
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 		version="1.0">
 
-<xsl:import href="../docbook/xsl/html/autoidx.xsl"/>
-<xsl:import href="../docbook/xsl/html/chunk.xsl"/>
+<xsl:import href="kde-chunk-common.xsl"/>
 <xsl:include href="kde-navig.xsl"/>
 <xsl:include href="kde-ttlpg.xsl"/>
 <xsl:include href="kde-style.xsl"/>
@@ -68,27 +67,6 @@
 </xsl:param>
 
 
-
-<xsl:template name="dbhtml-filename">
-<xsl:choose>
-     <xsl:when test=". != /*">
-      <xsl:value-of select="@id"/>
-      <xsl:value-of select="$html.ext"/>
-     </xsl:when>
-     <xsl:otherwise>
-	<xsl:text>index.html</xsl:text>
-      </xsl:otherwise>
-</xsl:choose>
-</xsl:template>
-
-<xsl:template name="dbhtml-dir">
-</xsl:template>
-
-<xsl:template name="user.head.content">
-   <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
-   <meta name="GENERATOR" content="KDE XSL Stylesheet V{$KDE_VERSION} using libxslt"/>
-</xsl:template>
-
 <xsl:template match="/book/bookinfo/legalnotice" mode="titlepage.mode">
   <xsl:variable name="filename" select="concat($kde.common,'fdl-notice.html')"/>
   <xsl:variable name="title">
